// fork
`include "global.vh"
module xmas_fork (clk, rst,
  i$irdy, i$trdy, i$data,
  a$irdy, a$trdy, a$data,
  b$irdy, b$trdy, b$data);
input clk, rst;
input i$irdy;
output i$trdy;
input [`DATA_WIDTH-1:0] i$data;
output a$irdy;
input a$trdy;
output [`DATA_WIDTH-1:0] a$data;
output b$irdy;
input b$trdy;
output [`DATA_WIDTH-1:0] b$data;
assign a$irdy = i$irdy && b$trdy;
assign a$data = i$data;
assign b$irdy = i$irdy && a$trdy;
assign b$data = i$data;
assign i$trdy = a$trdy && b$trdy;
endmodule
